Support » Plugin: WooCommerce Stripe Payment Gateway » Stripe – [error] => stdClass Object

  • Resolved tomguk

    (@tomguk)


    Hi,

    I have a subscription service that uses Yith Subscriptions. Payment is taken on the 1st day of each month. I have the error below when processing a stripe transaction:

    Credit Card (Stripe) Failed payment: Error: stdClass Object
    (
    [error] => stdClass Object
    (
    [message] => Invalid source object: must be a dictionary or a non-empty string. See API docs at https://stripe.com/docs’
    [param] => source
    [type] => invalid_request_error
    )
    
    )

    What does this mean and how can I resolve it?

    Thanks,

Viewing 13 replies - 1 through 13 (of 13 total)
  • Plugin Support Austin M – a11n

    (@apmwebdev)

    Hi @tomguk. This error means that the saved payment source on the subscription (so that automatic payments can be taken) is corrupted somehow and isn’t recognized by Stripe. I’m unclear what would cause that problem, as the Yith Subscriptions plugin is not one of ours. I’d recommend reaching out to Yith about this, as they’d be better able to troubleshoot this issue. Let us know if you have any further questions!

    mikekmetz

    (@mikekmetz)

    I’m having the same issue. Stripe support has verified that it is on the WordPress side. This started occuring out of the blue on October 1. No changes were made by us. It must be YITH or the WooCommerce Stripe gateway. I have support requests in to both of them. Any ideas would be appreciated.

    mikekmetz

    (@mikekmetz)

    Also, new subscription orders work fine. It is just the renewals that are giving us trouble.

    Thread Starter tomguk

    (@tomguk)

    @mikekmetz I rolled back to Stripe 5.5.0 and its resolved the issue. Still a pain and hope an official update is released soon.

    Thanks Tom. The folks at YITH sent me an update to their plugin. I reinstalled Stripe 5.6.0 and YITY’s update and everything seems to be working fine. I’m sure YITH will be releasing this soon to the public or you can probably contact them directly.

    Mike

    Woocommerce just sent an update to Stripe extension of 5.6.1 I have installed it as well as the new version for Yith Subscriptions. Have gone to Yith subscriptions > to customer’s subscription > Actions > pay current renewal order
    click and nothing is happening. Am I in the correct place to request the subscription payment again for all that have been failing since 10/1. Working on this with a client any help would be very much appreciated.

    Thread Starter tomguk

    (@tomguk)

    @karthost I can’t find pay renewal order in Yith. Should it be here – https://ibb.co/6sTXprp

    hi @tomguk & @mikekmetz
    it is in Yith Subscription > Subscrptions tab> on members that are now Suspended there is a place Yith Subscription > Subscrptions tab> on members that are now Suspended there is a Subscription Action drop down that allows you to try to pay the current renew order.

    but when i tried it i still got the same error even after the beta update for Yith Subscriptions and the WooCommerce Stipe update last night.

    How did you get yours to work or know it is working on the renewals?

    Mine is now working fine for all renewal orders that come in. I was able to go back to all the renewal orders on Hold and use the Subscription Action drop down to pay them.

    Maybe change status from Suspended to Hold?

    I am running 2.1.1 YITH Subscription version (their beta) and Woocomerce Stripe Gateway 5.6.0. (I see there is an update available to 5.6.1 but have not applied it).

    Hope this helps.

    Mike

    Thread Starter tomguk

    (@tomguk)

    @karthost I’ve updated my Stripe plugin to 5.6.1 and I’ve set a test scheduled subscription payment to be taken tomorrow 06/10/21. Hopefully, the issue is resolved.

    I still can’t find the dropdown with renew order tab, can you post a screenshot of where it is please? I followed your instructions but I can’t see the function. Is this the correct area – https://ibb.co/fN4nwdN ?

    Thanks

    • This reply was modified 8 months, 3 weeks ago by tomguk.

    @tomguk
    This is in the Yith Subsccriptions here is a step by step
    https://snipboard.io/STz0lD.jpg
    let me know if that helps

    Thread Starter tomguk

    (@tomguk)

    @karthost Thank you!

    I don’t seem to have that function for Stripe or Paypal suspended subscriptions – https://ibb.co/t2qjVwP

    Weird?! I’m using premium 2.4.2

    Plugin Support 3 Sons Development – a11n

    (@3sonsdevelopment)

    Hi @tomguk,

    I’d suggest reaching out to the Yith team for help with their subscriptions plugin. They’d be the best people to assist.

    If you have questions about anything else, please feel free to open up a new thread.

    Cheers

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘Stripe – [error] => stdClass Object’ is closed to new replies.